## ostree-push 0.20170708+gitabc601f

=== Makefile ===
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin

MKDIR_P = mkdir -p
INSTALL = install
LN_S = ln -s
RM = rm

all:
clean:
check:

install:
	$(MKDIR_P) $(DESTDIR)$(BINDIR)
	$(INSTALL) ostree-push $(DESTDIR)$(BINDIR)/ostree-push
	$(LN_S) -f ostree-push $(DESTDIR)$(BINDIR)/ostree-receive

uninstall:
	$(RM) -f $(DESTDIR)$(BINDIR)/ostree-push
	$(RM) -f $(DESTDIR)$(BINDIR)/ostree-receive

## ostree-push 0.20170708%2Bgitabc601f

=== debian/control ===
Source: ostree-push
Section: utils
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.5.1
Homepage: https://github.com/dbnicholson/ostree-push
Vcs-Git: https://salsa.debian.org/debian/ostree-push.git
Vcs-Browser: https://salsa.debian.org/debian/ostree-push

Package: ostree-push
Architecture: all
Depends:
 gir1.2-ostree-1.0,
 python3,
 python3-gi,
 ${misc:Depends},
 ${shlibs:Depends},
Description: push commits from local OSTree repo to a remote
 ostree-push uses ssh to push commits from a local OSTree repo to a
 remote OSTree repo. This is to fill a gap where currently you can only
 pull commits in core ostree. To publish commits to a remote repository,
 you either have to pull from the local repo to the remote repo or use
 an out of band mechanism like rsync.

## ostree-push 0.20170708+gitabc601f

=== debian/changelog ===
ostree-push (0.20170708+gitabc601f-2) unstable; urgency=medium

  * Rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Nov 2020 14:54:11 +0100

ostree-push (0.20170708+gitabc601f-1) unstable; urgency=medium

  * Initial upload to Debian.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Nov 2020 18:37:35 +0100

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=0.%cd+git%h, repack, compression=xz" \
 https://github.com/dbnicholson/ostree-push \
 HEAD

opts="mode=git, pgpmode=none, pretty=0.%cd+git%h, repack, compression=xz" \
 https://github.com/gtristan/ostree-push \
 heads/concurrency-fixes

## ostree-push 1.0.1

=== debian/changelog ===
ostree-push (1.0.1-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.

  [ Dan Nicholson ]
  * Add NEWS to docs.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Nov 2022 16:05:09 +0100

ostree-push (1.0.0+git20221025.17ce3e39f39a-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add support for ed25519 signing and verification.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 15:41:09 +0200

ostree-push (1.0.0-1) unstable; urgency=medium

  [ Dan Nicholson ]
  * Update upstream source configuration
  * New upstream release
    - Drop obsolete ssh port patch
  * Switch to pybuild buildsystem with pyproject plugin
  * Update docs package
  * Add pytest configuration
  * Add optional runtime dependencies
  * Update copyright with Endless OS Foundation licensing

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 15:32:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,19 @@
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ dh-python,
+ flatpak <!nocheck>,
+ gir1.2-ostree-1.0 <!nocheck>,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-gi <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-setuptools (>= 40.8.0),
+ python3-wheel,
+ python3-yaml <!nocheck>,
+ openssh-client <!nocheck>,
+ openssh-server <!nocheck>,
+ ostree <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://github.com/dbnicholson/ostree-push
 Vcs-Git: https://salsa.debian.org/debian/ostree-push.git
@@ -13,10 +26,15 @@
 Architecture: all
 Depends:
  gir1.2-ostree-1.0,
- python3,
- python3-gi,
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
+Recommends:
+ openssh-client,
+Suggests:
+ flatpak,
+ openssh-server,
+ ostree,
 Description: push commits from local OSTree repo to a remote
  ostree-push uses ssh to push commits from a local OSTree repo to a
  remote OSTree repo. This is to fill a gap where currently you can only

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = ostree-push

%:
	dh $@ --with python3 --buildsystem=pybuild

# The tests use a local HTTP server that pybuild's http_proxy interferes
# with.
override_dh_auto_test:
	http_proxy= dh_auto_test

## ostree-push 1.1.0

=== debian/changelog ===
ostree-push (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 14 Jan 2024 10:41:15 +0100

ostree-push (1.0.1-5) unstable; urgency=medium

  * Unset http_proxy for pybuild-autopkgtest to unbreak autopkgtests.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jan 2024 11:54:23 +0100

ostree-push (1.0.1-4) unstable; urgency=medium

  * Use dh-sequence-python3.
  * Bump debhelper from old 12 to 13.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set Rules-Requires-Root: no.
  * Run pybuild-autopkgtest test suite.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 11 Jan 2024 17:48:42 +0100

ostree-push (1.0.1-3) unstable; urgency=medium

  * Apply a patch from upstream:
    - Fix Path exception matching for Python 3.12 (Closes: #1058296).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 11 Jan 2024 17:39:23 +0100

ostree-push (1.0.1-2) unstable; urgency=medium

  * Apply downstream commits from Apertis:
    - Reintroduce compatibility with old 0.x clients.
    - push: Avoid infinite wait when stopping SSH master.
    Patches have been proposed upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 Nov 2023 13:57:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = ostree-push

%:
	dh $@ --buildsystem=pybuild

pybuild-autopkgtest: export http_proxy=

# The tests use a local HTTP server that pybuild's http_proxy interferes
# with.
override_dh_auto_test:
	http_proxy= dh_auto_test

=== debian/watch ===
version=4

opts="pgpmode=auto" \
 https://pypi.python.org/packages/source/o/ostree-push/ \
 ostree-push-@ANY_VERSION@@ARCHIVE_EXT@

opts="mode=git, pgpmode=none, pretty=1.0.0+git%cd.%h, repack, compression=xz" \
 https://github.com/dbnicholson/ostree-push \
 HEAD

## ostree-push 1.2.0

=== debian/changelog ===
ostree-push (1.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1066774).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Mar 2025 15:21:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  flatpak <!nocheck>,
  gir1.2-ostree-1.0 <!nocheck>,
  pybuild-plugin-pyproject,
+ pybuild-plugin-autopkgtest,
  python3-all,
  python3-gi <!nocheck>,
  python3-pytest <!nocheck>,
@@ -17,10 +18,12 @@
  openssh-client <!nocheck>,
  openssh-server <!nocheck>,
  ostree <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/dbnicholson/ostree-push
 Vcs-Git: https://salsa.debian.org/debian/ostree-push.git
 Vcs-Browser: https://salsa.debian.org/debian/ostree-push
+Rules-Requires-Root: no
 
 Package: ostree-push
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,12 @@
 
 pybuild-autopkgtest: export http_proxy=
 
+execute_before_dh_auto_build pybuild-autopkgtest: tests-symlinks
+
+tests-symlinks:
+	ln -sr tests/ostree-receive tests/ostree-receive-0
+	ln -sr tests/ostree-receive tests/ostree-receive-1
+
 # The tests use a local HTTP server that pybuild's http_proxy interferes
 # with.
 override_dh_auto_test:
